# mlnorm< sq_T > Class Template Reference

Normal distributed linear function with linear function of mean value;. More...

`#include <libEF.h>`

Inheritance diagram for mlnorm< sq_T >:

[legend]
Collaboration diagram for mlnorm< sq_T >:

[legend]

List of all members.

## Public Member Functions
| mlnorm (const RV &rv, const RV &rvc)
| Constructor.
void | set_parameters (const mat &A, const vec &mu0, const sq_T &R)
| Set `A` and `R`.
void | condition (const vec &cond)
| Set value of `rvc` . Result of this operation is stored in `epdf` use function `_ep` to access it.
vec & | _mu_const ()
| access function
mat & | _A ()
| access function
mat | _R ()
| access function
virtual vec | samplecond (const vec &cond, double &ll)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, vec &ll, int N)
| Returns.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
RV | _rvc () const
| access function
RV | _rv () const
| access function
epdf & | _epdf ()
| access function
epdf * | _e ()
| access function
## Protected Attributes
enorm< sq_T > | epdf
| Internal epdf that arise by conditioning on `rvc`.
mat | A
vec | mu_const
vec & | _mu
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf
## Friends
template<class sq_M>
std::ostream & | operator<< (std::ostream &os, mlnorm< sq_M > &ml)

## Detailed Description

### template<class sq_T>
class mlnorm< sq_T >

Normal distributed linear function with linear function of mean value;.

Mean value .

## Member Function Documentation

virtual vec mpdf::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual, inherited]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), mpdf::ep, epdf::evallog(), and epdf::sample().

Referenced by MPF< BM_T >::bayes(), and PF::bayes().

virtual mat mpdf::samplecond_m | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

References mpdf::condition(), RV::count(), mpdf::ep, epdf::evallog(), mpdf::rv, and epdf::sample().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libEF.h